Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 111020 - Create new BPEL module; get reload dialog
Create new BPEL module; get reload dialog
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Project
6.x
PC Windows XP
: P2 (vote)
: TBD
Assigned To: Vladimir Yaroslavskiy
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 22:10 UTC by jlautz
Modified: 2007-09-04 11:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot showing reload dialog (127.11 KB, application/octet-stream)
2007-07-25 22:11 UTC, jlautz
Details
BPEL module after clicking "Yes" in reload prompt (empty catalog.xml) (6.40 KB, application/octet-stream)
2007-07-25 22:13 UTC, jlautz
Details
BPEL Project after clicking "No" in reload dialog (7.63 KB, application/octet-stream)
2007-07-25 22:13 UTC, jlautz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jlautz 2007-07-25 22:10:04 UTC
Seen with 
Product Version: NetBeans IDE Dev (Build 200707250000) Java: 1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b06 System:
Windows XP version 5.1 running on x86; Cp1252; en_US (nb) Userdir: C:\Documents and Settings\lautz\.netbeans\dev

Produced on a machine with Intel Pentium M 1.80 GHz with 1.79 GHz 1.00 GB of RAM. 

(Note: may or may not be related to issue 110218, which also results in a reload dialog.)

1. In Netbeans, click the New Project button.
2. In the New Project dialog, choose Category "SOA" and Project "BPEL Module". Click Next.
3. Choose defaults, and click Finish.

=> I see a dialog that says: "File <path>\catalog.xml was modified externally. Reload it?" Screenshot attached.

=> If I say Yes, the catalog.xml file is empty (see attached BpelModule5 files). If I say No, the catalog.xml file has
content (see attached BpelModule3 files).
Comment 1 jlautz 2007-07-25 22:11:27 UTC
Created attachment 45722 [details]
Screenshot showing reload dialog
Comment 2 jlautz 2007-07-25 22:13:18 UTC
Created attachment 45723 [details]
BPEL module after clicking "Yes" in reload prompt (empty catalog.xml)
Comment 3 jlautz 2007-07-25 22:13:54 UTC
Created attachment 45724 [details]
BPEL Project after clicking "No" in reload dialog
Comment 4 Vladimir Yaroslavskiy 2007-07-26 12:08:54 UTC
Fixed from bpel project side: listener on wsdl changes.
Vitaly, please, add catalog.xml file in BPEL Module project.
Comment 5 Vladimir Yaroslavskiy 2007-07-27 13:05:21 UTC
RCS file: /cvs/enterprise/bpel/project/src/org/netbeans/modules/bpel/project/resources/catalog.xml,v
done
Checking in catalog.xml;
/cvs/enterprise/bpel/project/src/org/netbeans/modules/bpel/project/resources/catalog.xml,v  <--  catalog.xml
initial revision: 1.1
done
Checking in src/org/netbeans/modules/bpel/project/BpelproProjectGenerator.java;
/cvs/enterprise/bpel/project/src/org/netbeans/modules/bpel/project/BpelproProjectGenerator.java,v  <-- 
BpelproProjectGenerator.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/bpel/project/resources/layer.xml;
/cvs/enterprise/bpel/project/src/org/netbeans/modules/bpel/project/resources/layer.xml,v  <--  layer.xml
new revision: 1.13; previous revision: 1.12
done
Comment 6 Victoria Zhukovskaya 2007-09-04 11:33:56 UTC
build 200709031200


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo